Loading...
Searching...
No Matches
fastjet::BackgroundJetScalarPtDensity Class Reference
FastJet tools » Background subtraction

Class that implements (scalar pt sum of jet)/(scalar area of jet) for background estimation (this is a preliminary class). More...

`#include <fastjet/tools/JetMedianBackgroundEstimator.hh>`

Inheritance diagram for fastjet::BackgroundJetScalarPtDensity:
[legend]
Collaboration diagram for fastjet::BackgroundJetScalarPtDensity:
[legend]

## Public Member Functions

| BackgroundJetScalarPtDensity ()
| Default constructor provides background estimation with scalar pt sum.
| BackgroundJetScalarPtDensity (double n)
| Constructor to provide background estimation based on .
virtual double | result (const PseudoJet &jet) const
| the action of the function this has to be overloaded in derived classes
virtual std::string | description () const
| returns a description of the function (an empty string by default)
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< double >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
double | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Detailed Description

Class that implements (scalar pt sum of jet)/(scalar area of jet) for background estimation (this is a preliminary class).

Optionally it can return a quantity based on the sum of pt^n, e.g. for use in subtracting fragementation function moments.

Definition at line 519 of file JetMedianBackgroundEstimator.hh.

## Constructor & Destructor Documentation

## BackgroundJetScalarPtDensity() [1/2]

fastjet::BackgroundJetScalarPtDensity::BackgroundJetScalarPtDensity | ( |  | ) |

inline

Default constructor provides background estimation with scalar pt sum.

Definition at line 522 of file JetMedianBackgroundEstimator.hh.

## BackgroundJetScalarPtDensity() [2/2]

fastjet::BackgroundJetScalarPtDensity::BackgroundJetScalarPtDensity | ( | double | n | ) |

inline

Constructor to provide background estimation based on .

Definition at line 526 of file JetMedianBackgroundEstimator.hh.

## Member Function Documentation

## result()

double fastjet::BackgroundJetScalarPtDensity::result | ( | const PseudoJet & | pj | ) | const

virtual

the action of the function this has to be overloaded in derived classes

Parameters

  pj | the PseudoJet input to the function

Implements fastjet::FunctionOfPseudoJet< double >.

Definition at line 41 of file JetMedianBackgroundEstimator.cc.

## description()

std::string fastjet::BackgroundJetScalarPtDensity::description | ( |  | ) | const

virtual

returns a description of the function (an empty string by default)

Reimplemented from fastjet::FunctionOfPseudoJet< double >.

Definition at line 53 of file JetMedianBackgroundEstimator.cc.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/JetMedianBackgroundEstimator.hh
- tools/JetMedianBackgroundEstimator.cc